<div class="modal-header">
    <h4 class="modal-title pull-left">{{appInfo.name}}</h4>
    <button type="button" class="close pull-right" aria-label="Close" (click)="bsModalRef.hide()">
    <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body">
    <div class="row">
    <div class="modal-status">
        <img style="height:4.2rem;" src="../../assets/Images/status{{appInfo.status}}.svg" />
    </div>
    </div>
    <div class="info row">
        <div class="col-md-12">
            <span class="messages">
            <ul *ngIf="appInfo.cannedMessages">
                <li *ngFor="let message of appInfo.cannedMessages">
                    <div [innerHTML]="message.message"></div>
                </li>
                <li *ngIf="appInfo.comment">{{ appInfo.comment }}</li>
            </ul>
            </span>
        </div>
        <div class="maintenance"
             *ngIf="appInfo.scheduledMaintenanceInfo && appInfo.scheduledMaintenanceInfo.length > 0">
            <img class="InfoIcon" src="../../assets/Images/icons/schedule.png" /> 
            <span>{{ appInfo.name }} will undergo scheduled maintenance at the times listed below. As a result you may experience interruption, or this service
            may be unavailable during the mentioned times. We apologize for any inconvenience this may cause, and thank you for your
            patience.</span>
            <ul>
                <li *ngFor="let maintenance of appInfo.scheduledMaintenanceInfo">
                    {{ maintenance.scheduledForString }} <span class="to-separator">to</span> {{ maintenance.scheduledUntilString }}
                </li>
            </ul>
            <span>Times listed are CDT (GMT-0500).</span>
        </div>
    </div>
</div>
<div class="modal-footer">
    <button type="button" class="btn btn-default" (click)="bsModalRef.hide()">{{closeBtnName}}</button>
</div>
